/* 	Step 1. Merging individual data files into one for coding and analysis - TEMPLATE

Study Name    :Barwon Infant Study\Analysis
Program Name  :Is the name of the merge do file - <<paper abbreviationMerge(date)initials.do>>
Creation date :Date file made
Input Data    :Include all the input data sources - "C:\My Documents\BIS paper\file1.dta", "C:\My Documents\BIS paper\file2.dta", "C:\My Documents\BIS paper\file3.dta"
Output File(s):<<paper abbreviationMerged(date)initials.dta>>
Purpose       :To merge the three data files
Author		  :Your name
Special instructions    :Include any special instructions here that you think would be necessary for people to know before running this do file
Original source data from: BIS data manager, see email on date; BIS lab manager, see email on date, etc...
Update		  :Date of any updates made to original version

*/

capture log close
clear
set more off

*Set working directory
**NOTE: Mac users, use a forward slash instead of a backslash for path drives.
cd "C:\Study\BIS paper\Analysis"

*Set log file (overwriting previous version)
log using "paper abbreviationMerge(date)initials.log", replace

use "file1.dta", clear

merge 1:1 id using "file2.dta"
/*
Check the _merge variable. Did it merge as expected? Are there any participants in _merge=1 or _merge=2 that should have meen matched?
E.g. “assert _merge==3” if it is expected/required that every record has a 1:1 match in both files.
Or perhaps more commonly “assert _merge !=1” where you are merging a new dataset to a reference dataset that is complete with all BIS 
participants (to confirm that there are no bad id numbers in the new dataset)
*/
assert _merge !=1
drop _merge

merge 1:1 id using "file3.dta"
assert _merge !=1
drop _merge

save <<paper abbreviationMerged(date)initials.dta>>

log close

exit
