/*	Step 2. Using the Step 1 merged data to code and create new variables that are needed for the analysis - TEMPLATE

NOTE: Try and include comments in the do files to let others know what you have done and information for yourself in the future - you may want to refer to your do file in 5 years time

Study Name    :Barwon Infant Study
Program Name  :<<paper abbreviationCode(date)initials.do>>
Creation date :Date file made
Input Data    :"C:\My Documents\BIS paper\<<paper abbreviationMerged(date)initials.dta>>"
Output File(s):<<paper abbreviationCoded(date)initials.dta>>
Purpose       :To create new variables that are needed for the analysis
Author		  :Your name
Special instructions    :Include any special instructions here that you think would be necessary for people to know before doing this do file
Update		  :Date of any updates made to original version

*/

capture log close
clear
set more off

*Set working directory
**NOTE: Mac users, use a forward slash instead of a backslash for path drives.
cd "C:\Study\BIS paper\Analysis"

*Set log file (overwriting previous version)
log using "paper abbreviationCode(date)initials.log", replace

*Import merged data set (from Step 1)
use "<<paper abbreviationMerged(date)initials.dta>>"

*Creating a variable for categories of amount of time spent in the sun
generate time_sun=sunexp
recode time_sun (0/60=0) (61/120=1) (121/240=2) (241/max=3)
label variable time_sunlab "Time spent in the sun in categories"
label define time_sun 0 "Up to 1 hour" 1 "Over one to two hours" 2 "Over two to four hours" 3 "Over four hours"
label values time_sun time_sunlab
.
.
.
.
commands
commands
commands
.
.
.
.

save <<paper abbreviationCoded(date)initials.dta>>

log close

exit
