/*	Step 3. Analysis do file - TEMPLATE

*NOTE: Try and include comments in the do files to let others know what you have done and information for yourself in the future - you may want to refer to your do file in 5 years time


	Arrange this do file as in the order of paper. E.g.:
	*Table 1. Characteristics of the sample 
	... commands
	
	*Table 2. Association between food allergy and sun exposure
	... commands
	
	*Figure 1. Plot of food allergy rate by amount of time spent in the sun
	... commands
	
	*In text.
	... commands
			
*************************************************************************************************************************

Study Name    :Barwon Infant Study
Program Name  :<<paper abbreviationAnalysis(date)initials.do>>
Input Data    :"C:\My Documents\BIS paper\<<paper abbreviationCoded(date)initials.dta>>.dta"
Output File(s):No output file. This is an analysis only do file, with output saved in the log file
Creation date :Date file made
Purpose       :To examine the association between food allergy and sun exposure in BIS
Author		  :Your name
Special instructions    :Include any special instructions here that you think would be necessary for people to know before running this do file
Update		  :Date of any updates made to original version
Publication resulting from this do file: Give reference of paper that was published using this do file

*/

capture log close
clear
set more off

*Set working directory
**NOTE: Mac users, use a forward slash instead of a backslash for path drives.
cd "C:\Study\BIS paper\Analysis"

*Set log file (overwriting previous version)
log using "paper abbreviationAnalysis(date)initials.log", replace

use "<<paper abbreviationCoded(date)initials.dta>>.dta"

*Table 1. Characteristics of the sample 
tabulate sex
summarize age
.
.
.
.
commands
commands
commands
.
.
.
.

*Table 2. Association between food allergy and sun exposure
logistic food_allergy sun_time
.
.
.
.
commands
commands
commands
.
.
.
.

*Figure 1. Plot of food allergy rate by amount of time spent in the sun
graph bar food_allergy, over(sun_time)
graph export fa_sun.eps
.
.
.
.
commands
commands
commands
.
.
.
.

*In text.
summarize time_to_interview,d
.
.
.
.
commands
commands
commands
.
.
.
.

log close
